%global githash 5d1180402e19c4f763604ea668085f2d099b4d52
Name:          lambdaj
Version:       2.4
Release:       1%{?dist}
Summary:       The pseudo-functional collection manipulation library
License:       ASL 2.0
URL:           https://github.com/mariofusco/lambdaj
Source0:       https://github.com/mariofusco/lambdaj/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.json-lib:json-lib)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.jmock:jmock)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.objenesis:objenesis)

BuildArch:     noarch

%description
Lambdaj allow to manipulate collections in a pseudo-functional and
statically typed way. In our experience to iterate over collection,
especially in nested loops, is often error prone and makes the
code less readable. The purpose of this library is to alleviate these
problems employing some functional programming techniques but without
losing the static typing of java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
find -name "*.bat" -print -delete
find -name "*.class" -print -delete
find -name "*.jar" -print -delete
rm -r html

# Unwanted
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# net.sf.json-lib:json-lib:2.2.3:jdk15
%pom_xpath_remove "pom:dependency[pom:artifactId = 'json-lib']/pom:classifier"
# cglib:cglib-nodep:2.2.2
%pom_change_dep cglib: :cglib

find ./ -name "*.java" -exec sed -i "s/net.sf.cglib.asm/org.objectweb.asm/g" {} +

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Sep 07 2015 gil cattaneo <puntogil@libero.it> 2.4-1
- update to 2.4

* Mon Sep 16 2013 gil cattaneo <puntogil@libero.it> 2.3.3-1
- initial rpm
